# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Test-Modern
Version:	0.013
Release:	25.%{__distinit}%{__distvers}
Summary:	Precision testing for modern perl
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Test-Modern
Source0:	https://cpan.metacpan.org/modules/by-module/Test/Test-Modern-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(CPAN::Meta::Requirements) >= 2.000
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.17
# Module Runtime
BuildRequires:	perl(B)
BuildRequires:	perl(Cwd)
BuildRequires:	perl(Exporter::Tiny) >= 0.030
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(IO::File) >= 1.08
BuildRequires:	perl(IO::Handle) >= 1.21
BuildRequires:	perl(Import::Into) >= 1.002000
BuildRequires:	perl(Module::Runtime) >= 0.012
BuildRequires:	perl(Moose::Util)
BuildRequires:	perl(Mouse::Util)
BuildRequires:	perl(Role::Tiny)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::API) >= 0.004
BuildRequires:	perl(Test::Deep) >= 0.111
BuildRequires:	perl(Test::Fatal) >= 0.007
BuildRequires:	perl(Test::LongString) >= 0.15
BuildRequires:	perl(Test::More) >= 0.96
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Pod::Coverage)
BuildRequires:	perl(Test::Version)
BuildRequires:	perl(Test::Warnings) >= 0.009
BuildRequires:	perl(Try::Tiny) >= 0.15
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(base)
BuildRequires:	perl(Data::Dumper)
# Optional Test Requirements
BuildRequires:	perl(LWP::UserAgent)
BuildRequires:	perl(Moose) >= 2.0600
BuildRequires:	perl(namespace::clean)
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif
Requires:	perl(B)
Requires:	perl(Moose::Util)
Requires:	perl(Mouse::Util)
Requires:	perl(Role::Tiny)
Requires:	perl(Scalar::Util)
Requires:	perl(Test::LongString) >= 0.15
Requires:	perl(Test::Pod)
Requires:	perl(Test::Pod::Coverage)
Requires:	perl(Test::Version)

%description
Test::Modern provides the best features of Test::More, Test::Fatal,
Test::Warnings, Test::API, Test::LongString, and Test::Deep, as well as ideas
from Test::Requires, Test::DescribeMe, Test::Moose, and Test::CleanNamespaces.

Test::Modern also automatically imposes strict and warnings on your script,
and loads IO::File (much of the same stuff Modern::Perl does).

%prep
%setup -q -n Test-Modern-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license COPYRIGHT LICENSE
%doc Changes CONTRIBUTING CREDITS README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::Modern.3*

%changelog
* Thu May 25 2023 Paul Howarth <paul@city-fan.org> - 0.013-25
- Use SPDX-format license tag
- Use %%license unconditionally

* Mon Jun 29 2020 Paul Howarth <paul@city-fan.org> - 0.013-17
- Perl 5.32 rebuild

* Wed Nov  6 2019 Paul Howarth <paul@city-fan.org> - 0.013-15
- Switch upstream from search.cpan.org to metacpan.org

* Fri Apr  6 2018 Paul Howarth <paul@city-fan.org> - 0.013-9
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Mon Jan  9 2017 Paul Howarth <paul@city-fan.org> - 0.013-6
- Build for F-9 onwards now that Test::More ≥ 0.96 is available there

* Tue Oct  4 2016 Paul Howarth <paul@city-fan.org> - 0.013-5
- BR: perl-generators where available
- Simplify find command using -delete

* Thu Oct  9 2014 Paul Howarth <paul@city-fan.org> - 0.013-1
- Update to 0.013
  - Add 'test recommends' dependencies on a few modules

* Tue Sep 30 2014 Paul Howarth <paul@city-fan.org> - 0.012-1
- Update to 0.012
  - does_ok no longer calls the internal Test::Builder '_try' method

* Thu Sep 18 2014 Paul Howarth <paul@city-fan.org> - 0.011-1
- Update to 0.011
  - version_all_same now copes better with undef versions

* Tue Sep 16 2014 Paul Howarth <paul@city-fan.org> - 0.010-2
- Use %%license where possible

* Fri Jul 18 2014 Paul Howarth <paul@city-fan.org> - 0.010-1
- Update to 0.010
  - Fix the behaviour of the BAIL_OUT called within object_ok
  - Add is_fastest, inspired by Test::Benchmark

* Mon Jul  7 2014 Paul Howarth <paul@city-fan.org> - 0.009-1
- Update to 0.009
  - Added: Implement an `-internet` feature allowing test scripts to declare
    they need access to the Internet; this honours the NO_NETWORK_TESTS
    environment variable
  - Precautionary bypassing of prototype for internal calls to
    `Test::More::subtest`
  - Updated: Improved `namespaces_clean` implementation along the same lines
    as recent changes to Test::CleanNamespaces

* Thu Jun 19 2014 Paul Howarth <paul@city-fan.org> - 0.008-1
- Update to 0.008
  - Package with a newer Dist::Inkt to provide a better Makefile.PL (copes
    better with missing CPAN::Meta::Requirements)
- CONTRIBUTING file is now licensed CC-BY-SA or GPL+ or Artistic so we can
  make the whole package GPL+ or Artistic now

* Thu Apr 10 2014 Paul Howarth <paul@city-fan.org> - 0.007-1
- Update to 0.007
  - Fix for warnings being generated deep in the bowels of File::Spec
    (CPAN RT#94383)

* Fri Apr  4 2014 Paul Howarth <paul@city-fan.org> - 0.006-1
- Update to 0.006
  - EXPERIMENTALLY provide Test::Lib-like behavior, and a related -lib export
    tag
  - Support an environment variable PERL_TEST_MODERN_ALLOW_WARNINGS to allow
    end-users to skip running end warnings tests
  - Added shouldnt_warn function
- Add upstream workaround for warnings generated in File::Spec

* Wed Mar 26 2014 Paul Howarth <paul@city-fan.org> - 0.005-1
- Update to 0.005
  - Support Perl 5.6.1+

* Tue Mar 25 2014 Paul Howarth <paul@city-fan.org> - 0.004-1
- Update to 0.004
  - EXPERIMENTALLY provide Test::Pod functions
  - EXPERIMENTALLY provide Test::Pod::Coverage functions
  - EXPERIMENTALLY provide Test::Version functions
  - Improve the implementation of -without, including better compatibility with
    pre-5.12 versions of Perl

* Tue Mar 25 2014 Paul Howarth <paul@city-fan.org> - 0.003-1
- Update to 0.003
  - Provide a Test::Without::Module-like feature (-without)
  - Load IO::File and IO::Handle like Modern::Perl does

* Thu Mar 20 2014 Paul Howarth <paul@city-fan.org> - 0.002-3
- Incorporate feedback from package review (#1078950)
  - BR: perl for build process
  - BR: perl(base) for test suite
  - BR:/R: perl(Moose::Util), perl(Mouse::Util) and perl(Role::Tiny) for
    runtime
  - CONTRIBUTING file is CC-BY-SA
    (https://github.com/tobyink/p5-test-modern/issues/1)

* Fri Mar 14 2014 Paul Howarth <paul@city-fan.org> - 0.002-1
- Initial RPM version
